Part Point: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
 
(6 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}}
<translate>
<translate>


Line 17: Line 16:
|Name=Part Point
|Name=Part Point
|MenuLocation=Part → [[Part_Primitives|Create primitives]] → Point
|MenuLocation=Part → [[Part_Primitives|Create primitives]] → Point
|Workbenches=[[Part_Workbench|Part]]
|Workbenches=[[Part_Workbench|Part]], [[OpenSCAD_Workbench|OpenSCAD]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}
}}


== Description == <!--T:2-->
== Description == <!--T:12-->


<!--T:2-->
The [[Image:Part_Point.svg|24px]] [[Part_Point|Part Point]] command creates a point.
A [[Image:Part_Point.svg|24px]] '''Part Point''' is a parametric point that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. Its coordinates are relative to the coordinate system defined by its {{PropertyData|Placement}} property.

FreeCAD creates a point (vertex) geometric primitive, that is positioned at the origin (0,0,0).


==Usage== <!--T:9-->
==Usage== <!--T:9-->


<!--T:4-->
<!--T:13-->
See [[Part_Primitives#Usage|Part Primitives]].
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Part_Primitives.svg|16px]] [[Part Primitives|Create Primitives...]]}} button.
#* Select the {{MenuCommand|Part → Create Primitives → [[Image:Part_Primitives.svg|16px]] Create Primitives...}} option from the menu.
#* Select the {{MenuCommand|[[Image:Part_Point.svg|16px]] Point}} option from the menu.
# Set options and press {{Button|Create}}.
# To close the dialog press {{Button|Close}}.


== Properties ==
== Properties == <!--T:14-->


<!--T:15-->
See also: [[Property_editor|Property editor]].
See also: [[Property_editor|Property editor]].


<!--T:16-->
A Part Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It has no additional properties.
A Part Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Data === <!--T:17-->
==Scripting==


<!--T:18-->
A Part Point is created with the {{Incode|addObject()}} method of the document.
{{TitleProperty|Attachment}}

<!--T:19-->
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

<!--T:20-->
{{TitleProperty|Base}}

<!--T:21-->
* {{PropertyData|X|Distance}}: The X coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Y|Distance}}: The Y coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Z|Distance}}: The Z coordinate of the point. The default is {{Value|0mm}}.

== Scripting == <!--T:22-->

<!--T:23-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:24-->
A Part Point can be created with the {{Incode|addObject()}} method of the document:


</translate>
</translate>
{{Code|code=
{{Code|code=
point = App.ActiveDocument.addObject("Part::Vertex", "myPoint")
point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
}}
}}
<translate>
<translate>


<!--T:25-->
* Where {{Incode|myPoint}} is the name for the object. The name must be unique for the entire document.
* Where {{Incode|"myPoint"}} is the name for the object.
* The function returns the newly created object.
* The function returns the newly created object.


<!--T:26-->
The {{Incode|Label}} is the user editable name for the object. It can be easily changed by
Example:


</translate>
</translate>
{{Code|code=
{{Code|code=
import FreeCAD as App
point.Label = "new myPointName"
}}
<translate>


doc = App.activeDocument()
You can access and modify attributes of the {{Incode|point}} object. For example, you may wish to modify the x, y or z-coordinate.


point = doc.addObject("Part::Vertex", "myPoint")
</translate>
{{Code|code=
point.X = 1
point.X = 1
point.Y = 2
point.Y = 2
point.Z = 3
point.Z = 3
}}
<translate>


doc.recompute()
The result will be a new location of the point with the given coordinates.

You can change its placement and orientation with:

</translate>
{{Code|code=
point.Placement= App.Placement(App.Vector(1,2,3), App.Rotation())
}}
}}
<translate>
<translate>

Latest revision as of 10:27, 3 March 2022

Part Point

Menu location
Part → Create primitives → Point
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Part Point is a parametric point that can be created with the Part Primitives command. Its coordinates are relative to the coordinate system defined by its DataPlacement property.

Usage

See Part Primitives.

Properties

See also: Property editor.

A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DataX (Distance): The X coordinate of the point. The default is 0mm.
  • DataY (Distance): The Y coordinate of the point. The default is 0mm.
  • DataZ (Distance): The Z coordinate of the point. The default is 0mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()